"use strict";

var getVueDoc = require('../getVueDoc').default;

describe('getVueDoc', function () {
  it('should return right comment for longname default', function () {
    var result = getVueDoc({
      file: '',
      getDocJs: function getDocJs() {
        return [{
          description: 'Component description',
          longname: 'default'
        }, {
          description: 'Prop description',
          longname: 'default.props.prop'
        }];
      }
    }, {});
    expect(result.description).toEqual('Component description');
  });
  it('should return right comment for longname _default', function () {
    var result = getVueDoc({
      file: '',
      getDocJs: function getDocJs() {
        return [{
          description: 'Component description',
          longname: '_default'
        }, {
          description: 'Prop description',
          longname: '_default.props.prop'
        }];
      }
    }, {});
    expect(result.description).toEqual('Component description');
  });
  it('should return right comment for longname default2', function () {
    var result = getVueDoc({
      file: '',
      getDocJs: function getDocJs() {
        return [{
          description: 'Component description',
          longname: 'default2'
        }, {
          description: 'Prop description',
          longname: 'default2.props.prop'
        }];
      }
    }, {});
    expect(result.description).toEqual('Component description');
  });
  it('should return right comment for longname _default2', function () {
    var result = getVueDoc({
      file: '',
      getDocJs: function getDocJs() {
        return [{
          description: 'Component description',
          longname: '_default2'
        }, {
          description: 'Prop description',
          longname: '_default2.props.prop'
        }];
      }
    }, {});
    expect(result.description).toEqual('Component description');
  });
});